Bug 748142 - zif info doesn't match yum info
zif info doesn't match yum info
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: zif (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 07:29 EDT by Rahul Sundaram
Modified: 2015-02-18 08:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-10-22 07:29:18 EDT
Description of problem:

In particular, yum info shows whether the package is installed or not. zif does not.  I have tried setting zif.conf to allow yumdb read to true and it doesn't change the output
Comment 1 Elad Alfassa 2011-10-22 07:33:26 EDT
It's not related to the yumdb.
We just need to modify the CLI tool to tell if the package is installed or not. 
It's a trivial bug, should be easy to fix. I'll take a look at that today.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Elad Alfassa 2011-10-22 07:51:45 EDT
Err, actually, I get 

[elad@elephant tools]$ zif info zif
Enabling offline mode as user unprivileged.
Completed          [==================================================] <100%>
                                                          
Name	 : zif
Version	 : 0.2.6-0.14.20111010git.fc16
Arch	 : x86_64
Size	 : 799509 bytes
Repo	 : installed
Summary	 : Simple wrapper for rpm and the Fedora package metadata
URL	 : http://people.freedesktop.org/~hughsient/zif/
License	 : GPLv2+
Description	 : Zif is a simple yum-compatible library that provides read-write
access to the rpm database and the Fedora metadata for PackageKit.

Zif is not designed as a replacement to yum, nor to be used by end users.
Name	 : zif
Version	 : 0.2.5-1.fc16
Arch	 : i686
Size	 : 246961 bytes
Repo	 : updates-testing
Summary	 : Simple wrapper for rpm and the Fedora package metadata
URL	 : http://people.freedesktop.org/~hughsient/zif/
License	 : GPLv2+
Description	 : Zif is a simple yum-compatible library that provides read-write
access to the rpm database and the Fedora metadata for PackageKit.

Zif is not designed as a replacement to yum, nor to be used by end users.

In which you can clearly see Repo: installed.

I can add another line which says Installed: yes or Installed: no, but I don't think we need that. 

for comparison, here is the yum output:

[elad@elephant tools]$ yum info zif
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/metalink                                          |  20 kB     00:00     
fedora                                                   | 4.2 kB     00:00     
fedora/primary_db                                        |  14 MB     01:22     
fedora/group                                             | 1.9 MB     00:10     
flash                                                    | 2.9 kB     00:00     
rpmfusion-free-rawhide                                   | 3.3 kB     00:00     
rpmfusion-free-rawhide/primary_db                        | 331 kB     00:02     
rpmfusion-nonfree-rawhide                                | 3.3 kB     00:02     
rpmfusion-nonfree-rawhide/primary_db                     | 109 kB     00:05     
updates-testing/metalink                                 |  19 kB     00:00     
updates-testing                                          | 4.7 kB     00:00     
updates-testing/primary_db                               | 5.2 MB     00:33     
updates-testing/group                                    | 1.9 MB     00:20     
Installed Packages
Name        : zif
Arch        : x86_64
Version     : 0.2.6
Release     : 0.14.20111010git.fc16
Size        : 781 k
Repo        : installed
Summary     : Simple wrapper for rpm and the Fedora package metadata
URL         : http://people.freedesktop.org/~hughsient/zif/
License     : GPLv2+
Description : Zif is a simple yum-compatible library that provides read-write
            : access to the rpm database and the Fedora metadata for PackageKit.
            : 
            : Zif is not designed as a replacement to yum, nor to be used by end
            : users.

Available Packages
Name        : zif
Arch        : i686
Version     : 0.2.5
Release     : 1.fc16
Size        : 241 k
Repo        : updates-testing
Summary     : Simple wrapper for rpm and the Fedora package metadata
URL         : http://people.freedesktop.org/~hughsient/zif/
License     : GPLv2+
Description : Zif is a simple yum-compatible library that provides read-write
            : access to the rpm database and the Fedora metadata for PackageKit.
            : 
            : Zif is not designed as a replacement to yum, nor to be used by end
            : users.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora End Of Life 2013-04-03 15:20:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 16:53:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 08:38:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.